Package org.python.util

# Class CodegenUtils

java.lang.Object
org.python.util.CodegenUtils

public class CodegenUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`CodegenUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`c(String p)`
Creates a dotted class name from a path/package name
`static String`
`ci(Class n)`
Creates a class identifier of form Labc/abc;, from a Class.
`static String`
`p(Class n)`
Creates a class path name, from a Class.
`static Class[]`
`params(Class... classes)`
`static Class[]`
`params(Class cls, int times)`
`static Class[]`
`params(Class cls1, Class clsFill, int times)`
`static String`
`sig(Class retval, Class... params)`
Create a method signature from the given param types and return values
`static String`
`sig(Class retval, String descriptor, Class... params)`
`static String`
`sigParams(Class... params)`
`static String`
`sigParams(String descriptor, Class... params)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodegenUtils

public CodegenUtils()

## Method Details

### c

public static String c(String p)
Creates a dotted class name from a path/package name

### p

public static String p(Class n)
Creates a class path name, from a Class.

### ci

public static String ci(Class n)
Creates a class identifier of form Labc/abc;, from a Class.

### sig

public static String sig(Class retval, Class... params)
Create a method signature from the given param types and return values

### sig

public static String sig(Class retval, String descriptor, Class... params)

### sigParams

public static String sigParams(Class... params)

### sigParams

public static String sigParams(String descriptor, Class... params)

### params

public static Class[] params(Class... classes)

### params

public static Class[] params(Class cls, int times)

### params

public static Class[] params(Class cls1, Class clsFill, int times)